# $Revision: 1.15 $, $Date: 2002/08/17 13:04:45 $
Summary:	Library for parsing IDL (Interface Definition Language)
Summary(pl):	Biblioteka do parsowania IDL (jzyka definicji interfejsu)
Name:		libIDL
Version:	0.8.0
Release:	4
License:	LGPL
Group:		Libraries
Source0:	ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/libIDL/%{name}-%{version}.tar.bz2
Patch0:		%{name}-info.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 0.8
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libIDL is a library for parsing IDL (Interface Definition Language).
It can be used for both COM-style and CORBA-style IDL.

%description -l pl
libIDL to biblioteka do parsowania IDL (Interface Definition Language
- jzyka definicji interfejsu). Moe by uywana z IDL w stylu COM lub
CORBA.

%package devel
Summary:	Header files for libIDL
Summary(pl):	Pliki nagwkowe libIDL
Group:		Development/Libraries
Requires:	%{name} >= %{version}
Requires:	pkgconfig >= 0.8
Requires:	glib2-devel

%description devel
libIDL is a library for parsing IDL (Interface Definition Language).
It can be used for both COM-style and CORBA-style IDL.

This package contains the header files and libraries needed to write
or compile programs that use libIDL.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe potrzebne do kompilowania
programw uywajcych libIDL.

%package static
Summary:	Static libIDL libraries
Summary(pl):	Statyczne biblioteki libIDL
Group:		Development/Libraries
Requires:	%{name}-devel >= %{version}

%description static
Static libIDL libraries.

%description static -l pl
Statyczne biblioteki libIDL.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS README NEWS
%attr(755,root,root) %{_bindir}/libIDL-config-2
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*
%{_pkgconfigdir}/*
%{_infodir}/*info*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libIDL.spec,v $
Revision 1.15  2002/08/17 13:04:45  kloczek
- bump release to 4.

Revision 1.14  2002/08/15 19:54:42  wolf
- BR: flex

Revision 1.13  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.12  2002/06/05 22:28:43  kloczek
- updated to 0.8.0 and use new %doc.

Revision 1.11  2002/05/21 23:13:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.9  2002/03/10 13:31:45  kloczek
- release 3: rebuild against final glib2 2.0.0.

Revision 1.8  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/19 04:39:10  kloczek
- release 2: rebuild against glib2 1.3.14.

Revision 1.6  2002/02/06 03:27:31  kloczek
- updated to 0.7.4 (bugfix release).

Revision 1.5  2002/02/02 03:31:49  kloczek
- updated to 0.7.3,
- added using %%{_pkgconfigdir} macro,
- rebuild against glib2 1.3.13.

Revision 1.4  2002/01/18 02:13:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2002/01/17 12:30:21  qboosh
- pl translation, cosmetics; release 2

Revision 1.2  2002/01/13 19:18:11  kloczek
- rewrited in PLD style,
- updated to 0.7.2,
- switch to bzipped2 tar ball.

Based on spec from RH.
